Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1731892 - Restore or confirm test removals during openshift-controller-manager staging move
Summary: Restore or confirm test removals during openshift-controller-manager staging ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.2.0
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 10:05 UTC by Stefan Schimanski
Modified: 2019-10-16 06:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:30:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 23559 0 None None None 2019-08-06 14:28:21 UTC
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:30:35 UTC

Comment 2 Gabe Montero 2019-07-30 18:19:46 UTC
I've addded Ben and Adam for opinions/awareness

1) regarding https://github.com/openshift/origin/pull/23415/commits/8f8abb5b9a3d07fa449d834b2c57a5ce142f460f#r305725441 yes I think we would want to add mysql_replica.go back into image_eco ... it was actually removed with https://github.com/openshift/origin/commit/96a6c8e20836f696959832492637ff3a447eb851#diff-a8a6852352f072d73d2f36a30fbb4858 via https://github.com/openshift/origin/pull/23404
2) same with https://github.com/openshift/origin/pull/23415/commits/8f8abb5b9a3d07fa449d834b2c57a5ce142f460f#diff-5fc899c05f7bf80c95fb6f30b3e1cf37L1 and postgresql_replica.go .... similarly it was removed via https://github.com/openshift/origin/pull/23404


The two items from comment #1 and smaller by comparison, the commenting out of `if !controller.CanCheckReadiness(object.Ref) {` in test/extended/templates/helpers.go and `//testutil.SetAdditionalAllowedRegistries(registryHostname)` in test/extended/builds/controllers.go

The former template one might be ok to lose (need to investigate further though).

seems like we would want to re-add allowed registries in the build controller test at first blush, but that file is new as well in 4.2, so need to track down where in 4.1 that came from.

Comment 3 Gabe Montero 2019-08-12 20:47:06 UTC
@Wen - only automated PR tests were updated in the above PR .... no QE verifications are necessary.

PR is on the merge queue

Comment 5 Gabe Montero 2019-08-13 13:55:12 UTC
marked no doc update since this just augmented our automated test cases used during PR testing

also, per my #comment 3 no QA involvement needed ... marking as verified

Comment 6 errata-xmlrpc 2019-10-16 06:30:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.